@ECHO OFF

REM ---------------------------------------------------------------------
REM TYGAME.BAT
REM Installation program for "Teach Yourself Game Programming in 21 Days"
REM ---------------------------------------------------------------------

REM --------------------------------------------------
REM Note: You must run INSTALL.BAT to properly execute
REM this batch file.
REM --------------------------------------------------

IF .%1 == . GOTO RUN_INSTALL
IF NOT EXIST %1\NUL GOTO NO_DRIVE

IF %2 == SOURCE GOTO SOURCE_INSTALL
IF %2 == BMASTER GOTO BMASTER_INSTALL
IF %2 == NEOPAINT GOTO NEOPAINT_INSTALL

CLS
ECHO.
ECHO ͻ
ECHO  "Teach Yourself Game Programming in 21 Days" Disc Installation 
ECHO ͼ
ECHO.
ECHO   You have chosen to install %4 %5 %6 %7 %8
ECHO   to your %1 hard drive. The files for this game will take
ECHO   approximately %3 MB of disk space.
ECHO.
ECHO.
ECHO   If this is NOT what you want to do, press the Ctrl+C
ECHO   keys to end this batch program.
ECHO.
ECHO 
ECHO.
PAUSE 
CLS
IF EXIST %1\GAMES\README.TXT GOTO BEGIN_INST
MD C:\GAMES
XCOPY GAMES\README.TXT %1\GAMES\
:BEGIN_INST
XCOPY GAMES\%2\*.* /s %1\GAMES\%2\
CLS
ECHO 
ECHO.
ECHO 
ECHO   The installation of %4 %5 %6 %7 %8 is complete!
ECHO 
ECHO.
ECHO 
ECHO.
ECHO   You'll find the files in the %1\GAMES\%2 directory of your 
ECHO   hard drive. 
ECHO.
ECHO   You'll now be returned to the install menu.                            
ECHO   Press Esc to exit the menu and return to DOS.  
ECHO.
ECHO 
ECHO.
PAUSE 
GOTO FINISHED

:SOURCE_INSTALL
CLS
ECHO.
ECHO ͻ
ECHO  "Teach Yourself Game Programming in 21 Days" Disc Installation 
ECHO ͼ
ECHO.
ECHO   You have chosen to install the book's source code  
ECHO   and utilities to your %1 hard drive. The files will take 
ECHO   approximately %3 MB of disk space.
ECHO.
ECHO.
ECHO   If this is NOT what you want to do, press the Ctrl+C
ECHO   keys to end this batch program.
ECHO.
ECHO 
ECHO.
PAUSE 
CLS
XCOPY \SOURCE\*.* /s %1\TYGAME\SOURCE\
CLS
ECHO 
ECHO.
ECHO 
ECHO   The installation of the source code files is complete!
ECHO 
ECHO.
ECHO 
ECHO.
ECHO   You'll find the files in the %1\TYGAME\SOURCE directory of your hard
ECHO   drive, arranged by day. For example, the source code for example, 
ECHO   Day 16 is in the \TYGAME\SOURCE\DAY_16 subdirectory.
ECHO.
ECHO   You'll now be returned to the install menu.                            
ECHO   Press Esc to exit the menu and return to DOS.  
ECHO.
ECHO 
ECHO.
PAUSE 
GOTO FINISHED

:BMASTER_INSTALL
CLS
ECHO.
ECHO ͻ
ECHO  "Teach Yourself Game Programming in 21 Days" Disc Installation 
ECHO ͼ
ECHO.
ECHO   You have chosen to install BLASTER Master 6.2 to your %1 hard 
ECHO   drive. The files will take approximately 600 KB of disk space.
ECHO.
ECHO.
ECHO   If this is NOT what you want to do, press the Ctrl+C
ECHO   keys to end this batch program.
ECHO.
ECHO 
ECHO.
PAUSE 
CLS
XCOPY \BMASTER\*.* /s %1\BMASTER\
CLS
ECHO 
ECHO.
ECHO 
ECHO   The installation of BLASTER Master is complete!
ECHO 
ECHO.
ECHO 
ECHO.
ECHO   You'll find the files in the %1\BMASTER directory of your drive.
ECHO.
ECHO   You'll now be returned to the install menu.                            
ECHO   Press Esc to exit the menu and return to DOS.  
ECHO.
ECHO 
ECHO.
PAUSE 
GOTO FINISHED

:NEOPAINT_INSTALL
CLS
ECHO 
ECHO ͻ
ECHO  "Teach Yourself Game Programming in 21 Days" Disc Installation 
ECHO ͼ
ECHO 
ECHO   You have chosen to install NeoPaint to your %1 hard 
ECHO   drive. The files will take approximately 1 MB of disk space.
ECHO  
ECHO  
ECHO   If this is NOT what you want to do, press the Ctrl+C
ECHO   keys to end this batch program.
ECHO 
ECHO 
ECHO 
PAUSE 
CLS

XCOPY \NEOPAINT\*.* /s %1\NEOTEMP\

CLS
ECHO 
ECHO 
ECHO 
ECHO   The installation of NeoPaint is complete!
ECHO 
ECHO 
ECHO 
ECHO 
ECHO  Remember to change to %1\NEOTEMP and run INSTALL.EXE to install
ECHO  NeoPaint.
ECHO 
ECHO   You'll now be returned to the install menu.                            
ECHO   Press Esc to exit the menu and return to DOS.  
ECHO 
ECHO 
ECHO 
PAUSE 
GOTO FINISHED


:NO_DRIVE
CLS
ECHO 
ECHO.
ECHO Ŀ 
ECHO  Drive %1 is not available. Please select an available drive. 
ECHO 
ECHO.
PAUSE
GOTO FINISHED

CLS
ECHO 
ECHO.
ECHO Ŀ 
ECHO  You must run the INSTALL.BAT program to properly install   
ECHO  the "Teach Yourself Game Programming in 21 Days" software. 
ECHO  From the DOS prompt type INSTALL, press Enter, and the     
ECHO  main installation menu will appear.                        
ECHO 
ECHO.
PAUSE

:FINISHED
